<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rl_outside_view"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="horizontal">

    <LinearLayout
        android:id="@+id/rl_inputdlg_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#B4FFFFFF"
        android:orientation="horizontal"
        android:layout_alignParentBottom="true">

        <LinearLayout
            android:id="@+id/barrage_area"
            android:orientation="horizontal"
            android:layout_weight="0.3"
            android:layout_gravity="center_vertical"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <Button
                android:visibility="gone"
                android:id="@+id/barrage_btn"
                android:layout_width="40dp"
                android:layout_marginLeft="10dp"
                android:layout_height="25dp"
                android:layout_marginRight="10dp" />
        </LinearLayout>

        <View
            android:layout_width="0.5dp"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:layout_marginLeft="6dp"
            android:layout_marginStart="6dp"
            android:background="#44777777" />

        <EditText
            android:id="@+id/et_input_message"
            android:hint="说点什么.."
            android:layout_width="match_parent"
            android:layout_weight="4"
            android:layout_height="wrap_content"
            android:imeOptions="actionUnspecified"
            android:inputType="text"
            android:maxLength="32"
            android:textColor="#FF000000"
            android:maxLines="1"
            android:singleLine="true" />

        <View
            android:layout_width="0.5dp"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:layout_marginLeft="6dp"
            android:layout_marginStart="6dp"
            android:background="#44777777" />

        <LinearLayout
            android:layout_marginRight="15dp"
            android:id="@+id/confirm_area"
            android:layout_width="wrap_content"
            android:layout_gravity="center"
            android:layout_height="wrap_content">

            <Button
                android:id="@+id/confrim_btn"
                android:layout_width="50dp"
                android:layout_height="30dp"
                android:background="@drawable/trtcliveroom_bg_button_border"
                android:gravity="center"
                android:textColor="#FFFFFFFF"
                android:text="发送" />
        </LinearLayout>


    </LinearLayout>

</RelativeLayout>